Bug 659574 - CVE-2010-4258 kernel: failure to revert address limit override in OOPS error path [mrg-1.3]
Summary: CVE-2010-4258 kernel: failure to revert address limit override in OOPS error ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: Development
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: John Kacur
QA Contact: David Sommerseth
URL:
Whiteboard:
Depends On:
Blocks: CVE-2010-4258
TreeView+ depends on / blocked
 
Reported: 2010-12-03 02:13 UTC by Eugene Teo (Security Response)
Modified: 2016-05-22 23:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-10 20:06:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0330 0 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-03-10 20:04:13 UTC

Comment 3 David Sommerseth 2011-03-01 22:23:30 UTC
Verified by code review.

Found bz659574_CVE-2010-4258-do_exit-check-is-run-with-get_fs-USER_DS.patch applied to kernel-rt-2.6.33.7-rt29.52.src.rpm, from upstream commit 33dd94ae1ccbfb7bf0fb6c692bc3d1c4269e6177.

Comment 5 errata-xmlrpc 2011-03-10 20:06:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0330.html


Note You need to log in before you can comment on or make changes to this bug.